Bug 1956949 - new pvremove check uses new vague error message when pv label was already removed
Summary: new pvremove check uses new vague error message when pv label was already rem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: lvm2
Version: 8.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: beta
: ---
Assignee: David Teigland
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 18:04 UTC by Corey Marthaler
Modified: 2021-11-10 08:53 UTC (History)
8 users (show)

Fixed In Version: lvm2-2.03.12-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-09 19:45:25 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:4431 0 None None None 2021-11-09 19:45:43 UTC

Description Corey Marthaler 2021-05-04 18:04:00 UTC
Description of problem:

# 8.4
[root@hayes-01 ~]# pvremove /dev/sdd1
  Labels on physical volume "/dev/sdd1" successfully wiped.
[root@hayes-01 ~]# pvremove /dev/sdd1
  Failed to read lvm info for /dev/sdd1 PVID .
[root@hayes-01 ~]# echo $?
5


# 7.9 (and earlier 8.* i believe)
[root@mckinley-03 ~]# pvremove /dev/mapper/mpathc1
  Labels on physical volume "/dev/mapper/mpathc1" successfully wiped.
[root@mckinley-03 ~]# pvremove /dev/mapper/mpathc1
  No PV found on device /dev/mapper/mpathc1.
[root@mckinley-03 ~]# echo $?
5


Version-Release number of selected component (if applicable):
kernel-4.18.0-304.el8    BUILT: Tue Apr  6 04:39:38 CDT 2021
lvm2-2.03.11-5.el8    BUILT: Fri Mar  5 07:13:31 CST 2021
lvm2-libs-2.03.11-5.el8    BUILT: Fri Mar  5 07:13:31 CST 2021

Comment 3 Corey Marthaler 2021-06-01 16:35:00 UTC
Marking Verified:Tested in the latest lvm rpms.

kernel-4.18.0-305.7.el8.kpq1    BUILT: Mon May 17 12:55:07 CDT 2021
lvm2-2.03.12-2.el8    BUILT: Tue Jun  1 06:55:37 CDT 2021
lvm2-libs-2.03.12-2.el8    BUILT: Tue Jun  1 06:55:37 CDT 2021
device-mapper-1.02.177-2.el8    BUILT: Tue Jun  1 06:55:37 CDT 2021
device-mapper-libs-1.02.177-2.el8    BUILT: Tue Jun  1 06:55:37 CDT 2021


# devicefile off
[root@hayes-01 ~]# pvscan
  No matching physical volumes found
[root@hayes-01 ~]# pvcreate /dev/sdd1
  Physical volume "/dev/sdd1" successfully created.
[root@hayes-01 ~]# pvremove /dev/sdd1
  Labels on physical volume "/dev/sdd1" successfully wiped.
[root@hayes-01 ~]# pvremove /dev/sdd1
  No PV found on device /dev/sdd1.


# devicefile on
[root@hayes-01 ~]# pvcreate /dev/sdd1
  Physical volume "/dev/sdd1" successfully created.
  Creating devices file /etc/lvm/devices/system.devices
[root@hayes-01 ~]# pvremove /dev/sdd1
  Labels on physical volume "/dev/sdd1" successfully wiped.
[root@hayes-01 ~]# pvremove /dev/sdd1
  No PV found on device /dev/sdd1.

Comment 9 errata-xmlrpc 2021-11-09 19:45:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (lvm2 bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4431


Note You need to log in before you can comment on or make changes to this bug.